Debian Bug report logs - #584200
impossible to override offline mode when using network-manager

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: Heikki Kantola <hezu+debian@iki.fi>

Date: Wed, 2 Jun 2010 08:21:01 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 549451, 582358, 587302, 587325, 590547, 594072, 597147, 599722, 601340

Found in versions evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.1.2-2, evolution/2.30.3-5, evolution/2.28.0-2, evolution/2.30.1.2-3, evolution/3.2.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#584200; Package evolution. (Wed, 02 Jun 2010 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heikki Kantola <hezu+debian@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 02 Jun 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Heikki Kantola <hezu+debian@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution: the latest version forces offline mode
Date: Wed, 02 Jun 2010 11:17:57 +0300
Package: evolution
Version: 2.30.1.2-3
Severity: important


Since the update to the latest Evolution version, I have been unable 
to use it as a proper mail client since it doesn't seem to be able to 
stay online. When I start the program, it seems to be connected and 
asks the password for the one IMAP account, which doesn't have the 
password set in the preferences. But right after that, Evolution goes 
offline and doesn't even allow to manually go online.
Apart from the dummy default account set only for sending mail, the
mail accounts use IMAP and the physical network connection works fine 
with every other application so that should not be the problem.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_DK.utf8, LC_CTYPE=fi_FI.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-1         simple interprocess messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  evolution-common        2.30.1.2-3       architecture independent files for
ii  evolution-data-server   2.30.1-5         evolution database backend server
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.3-1         GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.1-2         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.30.1-5         The Evolution MIME message handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing widget eve
ii  libcanberra0            0.24-1           a simple abstract interface for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.30.1-5         Utility library for evolution data
ii  libebook1.2-9           2.30.1-5         Client library for evolution addre
ii  libecal1.2-7            2.30.1-5         Client library for evolution calen
ii  libedataserver1.2-13    2.30.1-5         Utility library for evolution data
ii  libedataserverui1.2-8   2.30.1-5         GUI utility library for evolution 
ii  libegroupwise1.2-13     2.30.1-5         Client library for accessing group
ii  libenchant1c2a          1.4.2-3.6        a wrapper library for various spel
ii  libevolution            2.30.1.2-3       evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.30.1-5         Client library for accessing Googl
ii  libgdata1.2-1           2.30.1-5         Client library for accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgtkhtml-editor0      3.30.1-2         HTML rendering/editing library - e
ii  libgtkhtml3.14-19       3.30.1-2         HTML rendering/editing library - r
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  libpango1.0-0           1.28.0-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single instanc
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evolution recommends:
ii  evolution-plugins        2.30.1.2-3      standard plugins for Evolution
ii  evolution-webcal         2.28.0-1+b1     webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.0-2        Common files for GNOME desktop app
ii  spamassassin             3.3.1-1         Perl-based spam filter using text 
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
ii  bug-buddy               2.30.0+dfsg-1+b1 GNOME Desktop Environment bug repo
pn  evolution-dbg           <none>           (no description available)
pn  evolution-exchange      <none>           (no description available)
pn  evolution-plugins-exper <none>           (no description available)
ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
ii  network-manager         0.8-1            network management framework daemo

-- debconf information:
  evolution/needs_shutdown:




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Wed, 02 Jun 2010 18:39:06 GMT) Full text and rfc822 format available.

Notification sent to Heikki Kantola <hezu+debian@iki.fi>:
Bug acknowledged by developer. (Wed, 02 Jun 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 584200-done@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Heikki Kantola <hezu+debian@iki.fi>, 584200-done@bugs.debian.org
Subject: Re: [Evolution] Bug#584200: evolution: the latest version forces offline mode
Date: Wed, 02 Jun 2010 20:34:42 +0200
[Message part 1 (text/plain, inline)]
On mer., 2010-06-02 at 11:17 +0300, Heikki Kantola wrote:
> Since the update to the latest Evolution version, I have been unable 
> to use it as a proper mail client since it doesn't seem to be able to 
> stay online. When I start the program, it seems to be connected and 
> asks the password for the one IMAP account, which doesn't have the 
> password set in the preferences. But right after that, Evolution goes 
> offline and doesn't even allow to manually go online.
> Apart from the dummy default account set only for sending mail, the
> mail accounts use IMAP and the physical network connection works fine 
> with every other application so that should not be the problem.
> 
I guess you weren't able to check existing bug reports (like #553383) or
documentation? Evolution uses network-manager if available to establish
online status. If your setup isn't working, then no online mode is
available. So either you fix your setup (I don't know how, I don't use
NM, but bug report mentionned above has stuff about managed=false or
something), or your completely remove network-manager.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#584200; Package evolution. (Sun, 27 Jun 2010 13:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 13:30:08 GMT) Full text and rfc822 format available.

Message #15 received at 584200@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: clohr <christophe.lohr@cegetel.net>, 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 14:22:14 +0200
[Message part 1 (text/plain, inline)]
retitle 582358 impossible to override offline mode when using network-manager
forcemerge 582358 584200 587302
thanks

On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
> Evolution assumes that Network Manager is the only way to have network on a
> system. Note that interfaces can either be managed by "/etc/network/interfaces"
> or by Network Manager. However, if interfaces managed by NM are disconected,
> Evo thinks there is no network at all, and start offline. Moreover, it refuses
> to switch to online mode, eaven if the user requests it.
> 
> Possible workarround: before using Evo in online mode, plase ask first your
> system administrator to disable Network Manager, or to unisnstall it. ;-) 

Doesn't this sound like #584200 or #582358?

Now, like for all the other bug reports, I don't have network-manager
(and I'm not interested in it), so I can't test. Maybe there's a bug and
people should be able to override the offline mode even when using
network-manager (though imho the whole point of NM is to give it your
network keys and let it do what it want, if you don't like it, don't use
it at all). But I have no way to check, so your best bet is to open the
bug *upstream* (there's now a text asking for that when using
reportbug), so you can explain exactly the wanted behavior and argue
with them (check before if there's no upstream issue already opened,
though)

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:30:13 GMT) Full text and rfc822 format available.

Message sent on to Heikki Kantola <hezu+debian@iki.fi>:
Bug#584200. (Sun, 27 Jun 2010 13:30:18 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#584200; Package evolution. (Sun, 27 Jun 2010 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Lohr <christophe.lohr@cegetel.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:15:04 GMT) Full text and rfc822 format available.

Message #27 received at 584200@bugs.debian.org (full text, mbox):

From: Christophe Lohr <christophe.lohr@cegetel.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 16:11:55 +0200
Le 27/06/2010 14:22, Yves-Alexis Perez a écrit :
> retitle 582358 impossible to override offline mode when using network-manager
> forcemerge 582358 584200 587302
> thanks
>
> On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
>    
>> Evolution assumes that Network Manager is the only way to have network on a
>> system. Note that interfaces can either be managed by "/etc/network/interfaces"
>> or by Network Manager. However, if interfaces managed by NM are disconected,
>> Evo thinks there is no network at all, and start offline. Moreover, it refuses
>> to switch to online mode, eaven if the user requests it.
>>
>> Possible workarround: before using Evo in online mode, please ask first your
>> system administrator to disable Network Manager, or to unisnstall it. ;-)
>>      
> Doesn't this sound like #584200 or #582358?
>    

Sorry, you're right.

> Now, like for all the other bug reports, I don't have network-manager
> (and I'm not interested in it), so I can't test. Maybe there's a bug and
> people should be able to override the offline mode even when using
> network-manager

I'm ok if Evo asks NM about network interfaces, and _suggests_ the 
offline mode.
However:
- Evo should look at interfaces not managed by NM;
- the user must be able to change this descision.


> (though imho the whole point of NM is to give it your
> network keys and let it do what it want, if you don't like it, don't use
> it at all).

More precisely: NM do what it want for a given set of interfaces. A 
system may have several interfaces, some are managed by NM, other not.

> But I have no way to check, so your best bet is to open the
> bug *upstream* (there's now a text asking for that when using
> reportbug), so you can explain exactly the wanted behavior and argue
> with them (check before if there's no upstream issue already opened,
> though)
>    

Thank you.

Regards






Message sent on to Heikki Kantola <hezu+debian@iki.fi>:
Bug#584200. (Sun, 27 Jun 2010 14:15:16 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'impossible to override offline mode when using network-manager' from 'evolution: the latest version forces offline mode' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 15:00:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 19 Jul 2010 14:09:06 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:15:09 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 06:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#584200; Package evolution. (Sun, 29 Aug 2010 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to WC Jones <wcjones@ccsh.us>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 29 Aug 2010 19:09:06 GMT) Full text and rfc822 format available.

Message #45 received at 584200@bugs.debian.org (full text, mbox):

From: WC Jones <wcjones@ccsh.us>
To: 584200@bugs.debian.org
Subject: debian bug --> evolution & network-manager
Date: Sun, 29 Aug 2010 15:05:20 -0400
This is an FYI for anyone else who slams into this bug like I did just now :P

Evolution not working when NetworkManager *is* working - then either
disable /etc/init.d/network-manager or remove it (like I did...)

To purge and not use network-manager (at least until the powers that
be figure out which interface is the correct one.)

Do this and reboot:
apt-get purge network-manager
(if that gives and error about /etc/networkManager not being empty, then do -
tar zcvf /root/buNetworkManager.tgz  && rm -fR /etc/NetworkManager
... that should finish it off...)

Next, purge any unused dependencies -

apt-get update
apt-get upgrade
apt-get dist-upgrade
apt-get autoclean
apt-get autoremove
apt-get clean all

Cheers!
-Sx-




Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 05:57:06 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=624701' from 'https://bugzilla.gnome.org/show_bug.cgi?id=624738' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Oct 2010 18:15:47 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:32 GMT) Full text and rfc822 format available.

Marked as found in versions evolution/2.30.3-5 and evolution/3.2.2-1. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:49 GMT) Full text and rfc822 format available.

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:54 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:22:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.